#!/usr/bin/env python3

# -*- coding: utf-8 -*-

"""
Description: Configuration class
"""

from pathlib import Path
import multiprocessing as mp


class Config:
    """
    A class containing every parameters used in the submodule db_utils
    """
    cpu = mp.cpu_count()
    data = Path(__file__).parents[2] / 'data'
    results = Path(__file__).parents[2] / "results"
    db_file = results / 'chia_pet_database.db'
    bed_exon = data / 'bed' / 'exon.bed'
    bed_gene = data / 'bed' / 'gene.bed'
    ase_event_file = data / 'splicing_lore_data' / 'ase_event.txt'
    splicing_projects = data / 'splicing_lore_data' / \
        'splicing_lore_projects.txt'
    chia_pet_files = data / 'interactions_files' / 'chia_pet'
    tests_files = Path(__file__).parents[2] / 'tests' / "files"